Bug 815989 - Review Request: python-routes1.12 - Rails-like routes for Python
Review Request: python-routes1.12 - Rails-like routes for Python
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 20:52 EDT by Pádraig Brady
Modified: 2015-12-03 23:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 23:15:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-04-24 20:52:43 EDT
Spec URL: http://pbrady.fedorapeople.org/python-routes1.12/python-routes.spec
SRPM URL: http://pbrady.fedorapeople.org/python-routes1.12/python-routes1.12-1.12.3-4.fc15.src.rpm
Description: Routes is a Python re-implementation of the Rails routes system for mapping
URL's to Controllers/Actions and generating URL's. Routes makes it easy to
create pretty and concise URL's that are RESTful with little effort.

Note this is just a parallel installable version for the EL6 branch,
which will be removed in the RHEL 6.4 timeframe.
It's needed to support the OpenStack packages.
Comment 1 Pádraig Brady 2012-04-25 11:13:13 EDT
Spec URL: http://pbrady.fedorapeople.org/python-routes1.12/python-routes1.12.spec
SRPM URL: http://pbrady.fedorapeople.org/python-routes1.12/python-routes1.12-1.12.3-4.el6.src.rpm
Description: Routes is a Python re-implementation of the Rails routes system
for mapping
URL's to Controllers/Actions and generating URL's. Routes makes it easy to
create pretty and concise URL's that are RESTful with little effort.

The links/files above were updated with help from Alan Pevec.
Note this package is just a parallel installable version for the EL6 branch,
which will be removed in the RHEL 6.4 timeframe.
It's needed to support the OpenStack packages.
Comment 2 Alan Pevec 2012-04-25 17:41:52 EDT
This is based on existing package: compared to rawhide, only change is parallel
installation.

=> APPROVED

MUST
OK rpmlint
=>
python-routes1.12.noarch: W: hidden-file-or-dir /usr/share/doc/python-routes1.12-1.12.3/docs/_build/html/.buildinfo
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning is not critical and appears with rawhide too.

OK name
OK spec
   file name = %{name}.spec
   American English
   legible
   locales %find_lang
   UTF-8 filenames
OK Packaging Guidelines
OK license
   Fedora approved
   spec field
   in %doc
OK sources
   url
=> wget http://pypi.python.org/packages/source/R/Routes/Routes-1.12.3.tar.gz
   md5sum
=> echo "9740ff424ff6b841632c784a38fb2be3  Routes-1.12.3.tar.gz" | md5sum -c
Routes-1.12.3.tar.gz: OK
OK BuildRequires
OK directories
   own all or require a package
   no directory conflicts
OK no dups in %files (exception: license texts)
OK Permissions
OK consistently use macros
OK code or permissable content

SHOULD
OK build in mock
=> http://koji.fedoraproject.org/koji/taskinfo?taskID=4023177
Comment 3 Pádraig Brady 2012-04-25 17:46:33 EDT
New Package SCM Request
=======================
Package Name: python-routes1.12
Short Description: Rails-like routes for Python
Owners: pbrady
Branches: el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-04-26 08:09:09 EDT
Git done (by process-git-requests).
Comment 5 James Hogarth 2015-12-03 23:15:31 EST
Closing to tidy up since git changes are long done and el 6.4 was ages ago

Note You need to log in before you can comment on or make changes to this bug.